#ifndef RENDEROBJECT_H_INCLUDED
#define RENDEROBJECT_H_INCLUDED

#include "Engine.h"

//Base class for all renderable objects
class cRenderObject
{
    private:
    protected:
    public:
        std::string m_Name; //User defined name
        int m_ZOrder;
        bool m_Visible;

        cRenderObject(std::string Name)
        {
            m_Name = Name;
            m_ZOrder = 0;
            m_Visible = true;
        }

        virtual ~cRenderObject(){}; //Class virtual destructor
        virtual void update(SDL_Surface *Screen) = 0;
        virtual bool updateKey(SDLKey Key) = 0;
};

#endif // RENDEROBJECT_H_INCLUDED
